package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasArcTlsScores;
import com.koobietech.eas.mbg.model.EasArcTlsScoresExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasArcTlsScoresMapper {
    long countByExample(EasArcTlsScoresExample example);

    int deleteByExample(EasArcTlsScoresExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasArcTlsScores record);

    int insertSelective(EasArcTlsScores record);

    List<EasArcTlsScores> selectByExample(EasArcTlsScoresExample example);

    EasArcTlsScores selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasArcTlsScores record, @Param("example") EasArcTlsScoresExample example);

    int updateByExample(@Param("record") EasArcTlsScores record, @Param("example") EasArcTlsScoresExample example);

    int updateByPrimaryKeySelective(EasArcTlsScores record);

    int updateByPrimaryKey(EasArcTlsScores record);
}